"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const kleur_1 = __importDefault(require("kleur"));
/**
 * Logger utility for consistent, color-coded console output.
 * Uses the kleur library for ANSI color and style support.
 */
exports.logger = {
    /**
     * Log an informational message in blue.
     * @param {string} message - The message to log.
     */
    info: (message) => console.log(kleur_1.default.blue(message)),
    /**
     * Log a success message in bold green.
     * @param {string} message - The message to log.
     */
    success: (message) => console.log(kleur_1.default.green().bold(message)),
    /**
     * Log a warning message in yellow.
     * @param {string} message - The message to log.
     */
    warning: (message) => console.log(kleur_1.default.yellow(message)),
    /**
     * Log an error message in bold red.
     * @param {string} message - The message to log.
     */
    error: (message) => console.error(kleur_1.default.red().bold(message)),
};
